#ifndef UART_H
#define UART_H

typedef enum SERIAL_PARITY
{
	SERIAL_PARITY_NONE = 0,
	SERIAL_PARITY_ODD = 1,
	SERIAL_PARITY_EVEN = 3,
}SERIAL_PARITY;


#ifndef PCSIM
void UART0Initialize(long int baud);
void UART3Initialize(long int baud, char stops, SERIAL_PARITY parity);
unsigned char UART0ReadChar(void);
void UartSetRecvTimeout(int timeout);
#else
#define UART3Initialize(x,y,z) ;
#define UartSetRecvTimeout(x) ;
#endif

#endif